Bug 1118564 - [RFE][neutron]: ML2 Type driver for Overlay Networking
Summary: [RFE][neutron]: ML2 Type driver for Overlay Networking
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: RFEs
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: RHOS Maint
QA Contact:
URL: https://blueprints.launchpad.net/neut...
Whiteboard: upstream_milestone_none upstream_defi...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-11 04:06 UTC by RHOS Integration
Modified: 2015-11-20 19:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-19 16:51:54 UTC


Attachments (Terms of Use)

Description RHOS Integration 2014-07-11 04:06:52 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/neutron/+spec/ml2-network-overlay-type-driver.

Description:

The current ML2 type drivers (vlan/vxlan/gre) only allow for global state of networks. This doesn't let providers who want to implement overlays in the network fabric represent the global and local states of an overlay network in Neutron.

This patch creates a generic overlay type driver that will allocate local states of a network out of config specified pools and maintain the global overlay state of the network as well. Global state will be allocated during create_network and local state will be allocated dynamically with bind_port calls from the mechanism driver(s).

This patch depends on two other blueprints:
https://blueprints.launchpad.net/neutron/+spec/ml2-type-driver-refactor
https://blueprints.launchpad.net/neutron/+spec/ml2-dynamic-segment

Specification URL (additional information):

None


Note You need to log in before you can comment on or make changes to this bug.